> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasautoupgrade.md).

# Get-RASAutoUpgrade.md

## NAME

Get-RASAutoUpgrade

## SYNOPSIS

Retrieves the Auto-upgrade settings.

## SYNTAX

**Get-RASAutoUpgrade** -[DefObjType](#defobjtype) {RDSDef | VDIDef | AVDSingleSessionDefaultSettings | AVDMultiSessionDefaultSettings | VDIGuestDef} \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASAutoUpgrade** \[[Id](#id-string)] *(uint)* -[ObjType](#objtype) {RDSHostPool | VDIHostPool | AVDHostPool} \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASAutoUpgrade** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[ObjType](#objtype) {RDSHostPool | VDIHostPool | AVDHostPool} \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the Auto-upgrade settings from RDSHostPool, RDSDefaults, VDIHostPool, VDIDefaults, AVDHostPool or AVDDefaults (Single-Session/Multi-Session).

## PARAMETERS

## Name (string)

The name or server for which to retrieve the Auto-upgrade settings.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the Auto-upgrade settings.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a server for which to retrieve the Auto-upgrade settings.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ObjType ([HostPoolObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/hostpoolobjtype.md))

The Object Type for which to retrieve the Auto-upgrade settings.

Possible values: RDSHostPool, VDIHostPool, AVDHostPool

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DefObjType ([ServerDefObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/serverdefobjtype.md))

The Default Object Type for which to retrieve the Auto-upgrade settings.

Possible values: RDSDef, VDIDef, AVDSingleSessionDefaultSettings, AVDMultiSessionDefaultSettings, VDIGuestDef

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[AutoUpgradeSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/autoupgradesettings.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASAutoUpgrade -DefObjType RDSDef

Retrieves the Auto-upgrade settings of the RDS Default Settings.\
\*\*---------- EXAMPLE 2 ----------

Get-RASAutoUpgrade -Name "VDIHostPool1" -ObjType VDIHostPool

Retrieves the Auto-upgrade settings of the specified VDIHostPool by Name.\
\*\*---------- EXAMPLE 3 ----------

Get-RASAutoUpgrade -Id 1 -ObjType AVDHostPool

Retrieves the Auto-upgrade settings of the specified AVDHostPool by Id.

## RELATED LINKS

* [Set-RASAutoUpgrade](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasautoupgrade.md)
* [Add-RASAutoUpgradeMessage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasautoupgrademessage.md)
* [Get-RASAutoUpgradeMessage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasautoupgrademessage.md)
* [Set-RASAutoUpgradeMessage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasautoupgrademessage.md)
* [Remove-RASAutoUpgradeMessage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasautoupgrademessage.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasautoupgrade.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
